<!doctype html>
<html lang="en">


<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    {% block bootstrap_css %}
    {{ bootstrap.load_css() }}
    {% endblock %}

    <link rel="stylesheet" href="/static/css/main.css">

    {% block styles %}
    {% endblock %}
</head>


<body>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="#">web</a>

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                </li>
            </ul>
            
            <ul class="navbar-nav">
                {% if id is defined %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('profile') }}">Profile</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('logout') }}">Logout</a>
                </li>
                {% else %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('login') }}">Login</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('register') }}">Register</a>
                </li>
                {% endif %}
            </ul>
            
        </div>
    </nav>

    
    <main role="main" class="container">
        {% block content %}{% endblock %}
    </main>
    


    
    {% block bootstrap_js %}
    {{ bootstrap.load_js() }}
    {% endblock %}

    {% block scripts %}
    {% endblock %}
    
</body>

</html>
